<?php
require'f_eroul.php';
$titlu='Ataca erou '.nume($la,1);
require'f_sus.php';
require'f_mut.php';
$sex_la=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]=='F'?'ă':'');
if($de==$la)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți sa te ataci singur!';
else
{
$timptrecut=$erouu[9]+180;
if($timptrecut>$_SERVER['REQUEST_TIME'])
{
require'f_ramas.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].nume($la).' nu poate primi atac, deoarece a fost atacat'.$sex_la.' recent de altcineva!<br />Urmatorul atac îl poți da peste <strong>'.ramas($timptrecut-$_SERVER['REQUEST_TIME']).'</strong>';
}
else
{
$conn->query('UPDATE`eroul`SET`atacuri`=atacuri+1 WHERE`de`="'.$de.'"');
if($erou[1]<1)
{
$conn->query('UPDATE`eroul`SET`viata`="0"WHERE`de`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Momentan eroul tau este mort, are viata <strong>'.$erou[1].'%</strong> și nu poți ataca!';
}
else
{
if($erou[3]>$erouu[10])
{
$cataviata=rand(0,10);
$conn->query('UPDATE`eroul`SET`viata`=viata-'.$cataviata.' WHERE`de`="'.$la.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'I-ai scazut viata cu '.$cataviata.'%<br />';
$daaaa=$conn->query('UPDATE`eroul`SET`timpatac`="'.$_SERVER['REQUEST_TIME'].'"WHERE`de`="'.$la.'"');
if($daaaa)
{
$ceprimeste=rand(0,1);
if($ceprimeste==0)
echo'Nu ai reusit sa-l jefuiești pe '.nume($la).'!';
else
{
$catibani1=rand(25,250);
if($erou[4]==0)
$catibani=$catibani1;
else
$catibani=$catibani1*3;
echo nume($la).' a fost jefuit'.$sex_la.' de <strong>'.$catibani.'</strong> bani, deoarece eroul tau este mai puternic!';
$conn->query('UPDATE`eroul`SET`bani`=bani-'.$catibani1.' WHERE`de`="'.$la.'"');
$conn->query('UPDATE`eroul`SET`bani`=bani+'.$catibani.' WHERE`de`="'.$de.'"');
}
}
}
else
{
$cataviata=rand(0,10);
$conn->query('UPDATE`eroul`SET`viata`=viata-'.$cataviata.' WHERE`de`="'.$de.'"');
echo'Viata erou scazuta cu '.$cataviata.'%!';
$daaaa=$conn->query('UPDATE`eroul`SET`timpatac`="'.$_SERVER['REQUEST_TIME'].'"WHERE`de`="'.$la.'"');
if($daaaa)
{
$ceprimeste=rand(0,1);
if($ceprimeste==0)
echo nume($la).' nu a reusit sa te jefuiasca!';
else
{
$catibani1=rand(25,150);
if($erou[4]==0)
$catibani=$catibani1;
else
$catibani=$catibani1*3;
echo nume($la).' te-a jefuit de <strong>'.$catibani.'</strong> bani, deoarece are un erou mai puternic de cat al tau!';
$conn->query('UPDATE`eroul`SET`bani`=bani-'.$catibani1.' WHERE`de`="'.$de.'"');
$conn->query('UPDATE`eroul`SET`bani`=bani+'.$catibani.' WHERE`de`="'.$la.'"');
}
}
}
}
}
}
echo$div[0];
require'f_jos.php';